Package org.codehaus.plexus.classworlds.launcher

## Interface ConfigurationHandler

All Known Implementing Classes:
  `Configurator`

    public interface ConfigurationHandler

Receive notification of the logical content of launcher configuration, independently from parsing.

Author:
  Igor Fedorenko

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addImportFrom​(java.lang.String realmName, java.lang.String importSpec)` Add an import specification from a realm
`void` `addLoadFile​(java.io.File file)` Add a file to the realm
`void` `addLoadURL​(java.net.URL url)` Add an URL to the realm
`void` `addRealm​(java.lang.String realmName)` Define a new realm
`void` `setAppMain​(java.lang.String mainClassName, java.lang.String mainRealmName)` Define the main class name

### Method Detail

#### setAppMain

    void setAppMain​(java.lang.String mainClassName,
                    java.lang.String mainRealmName)

Define the main class name

Parameters:
  `mainClassName` - the main class name
  `mainRealmName` - the main realm from which the main class is loaded

#### addRealm

    void addRealm​(java.lang.String realmName)
           throws DuplicateRealmException

Define a new realm

Parameters:
  `realmName` - the new realm name
Throws:
  `DuplicateRealmException` - when realm with name already exists

#### addImportFrom

    void addImportFrom​(java.lang.String realmName,
                       java.lang.String importSpec)
                throws NoSuchRealmException

Add an import specification from a realm

Parameters:
  `realmName` - the realm name
  `importSpec` - the import specification
Throws:
  `NoSuchRealmException` - if realm doesn't exist

#### addLoadFile

    void addLoadFile​(java.io.File file)

Add a file to the realm

Parameters:
  `file` - the file to load content from

#### addLoadURL

    void addLoadURL​(java.net.URL url)

Add an URL to the realm

Parameters:
  `url` - the url to load content from